/** Individual auction item description. */
export type Auction = {
  /** Auction item name. */
  readonly name: string,

  /** Auction item description. */
  readonly description: string,

  /** Seller's name. */
  readonly seller: string,

  /** ms since epoch. */
  readonly endTime: number,

  /**
   * The current maximum bid on this auction item. RI: maxBid >= minBid >= 1
   */
  readonly maxBid: number,

  /** Name of bidder who made the current maximum bid. */
  readonly maxBidder: string
};
